Imports System
Imports System.ComponentModel
Imports System.Collections.Generic
Imports System.Diagnostics
Imports System.Text

Imports DevExpress.ExpressApp
Imports DevExpress.ExpressApp.Actions
Imports DevExpress.Persistent.Base

Imports System.Windows.Forms
Imports DevExpress.XtraBars.Alerter
Imports DevExpress.ExpressApp.Utils
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering
Imports DevExpress.Persistent.BaseImpl

Public Class SISChatWC
	Inherits DevExpress.ExpressApp.WindowController

    Private ChatAlertControlCore As AlertControl
    Private ChatAlertTimerCore As Timer
    Private ChatTimerCore As Timer

    Public Sub New()
        MyBase.New()

        'This call is required by the Component Designer.
        InitializeComponent()
        RegisterActions(components)

        TargetWindowType = WindowType.Main
    End Sub
    Protected Overrides Sub OnActivated()
        MyBase.OnActivated()

        '// Meg kell nézni, hogy a felhasználó tud-e Chatelni !


    End Sub
    Protected Overridable Sub InitChatTimerCore()
        ChatTimerCore = New Timer()
        AddHandler ChatTimerCore.Tick, AddressOf ChatTimerCore_Tick
        ChatTimerCore.Interval = 5000
        ChatTimerCore.Start()
    End Sub

    Private Sub ChatTimerCore_Tick(sender As Object, e As EventArgs)
        '// Itt kell lekérni a cuccokat
    End Sub

End Class
